/* datatypeswindow.sw */

options results;

'rexxport name="rexxport" failat="5"'

hy = x2c( 22 );

'learn start datestamp'

/* create broker */
  'cxbroker new name="xbroker" cxbrokera_title="Datatypes object" cxbrokera_descr="Object communication example" cxbrokera_doshowhide="TRUE"'

/* view window */
  'model new name="xwin_view.model"'

  window.0.ti_tag   = "WA_Width";
  window.0.ti_data  = "640";
  window.1.ti_tag   = "WA_Height";
  window.1.ti_data  = "100";
  window.2.ti_tag   = "WA_MinWidth";
  window.2.ti_data  = "80";
  window.3.ti_tag   = "WA_MinHeight";
  window.3.ti_data  = "40";
  window.4.ti_tag   = "WA_MaxWidth";
  window.4.ti_data  = "1500";
  window.5.ti_tag   = "WA_MaxHeight";
  window.5.ti_data  = "600";
  window.6.ti_tag   = "WA_SizeGadget";
  window.6.ti_data  = "TRUE";
  window.7.ti_tag   = "WA_RptQueue";
  window.7.ti_data  = "50";
  window.8.ti_tag   = "WA_Title";
  window.8.ti_data  = "Datatypes example: View";
  window.9.ti_tag   = "WA_ScreenTitle";
  window.9.ti_data  = "SwitchWindow Datatypes example: View";
  window.10.ti_tag  = "TAG_DONE";
  window.10.ti_data = "TAG_DONE";

  'window new name="xwin_view" stem="WINDOW" close ica_target="xwin_view.model"'
  drop window.

  map.0.ti_tag  = "DTA_Busy";
  map.0.ti_data = "WA_BusyPointer";
  map.1.ti_tag  = "DTA_Title";
  map.1.ti_data = "WA_Title";
  map.2.ti_tag  = "TAG_DONE";
  map.2.ti_data = "TAG_DONE";

  'model name="xwin_view.model" ica_map="MAP" ica_target="xwin_view"'
  drop map.

/* datatypes object target dummy */
  'interconnection new name="xdtmodel2IDCMP.ic" ica_target="ICTARGET_IDCMP"'
  'addmember master="xwin_view" member="xdtmodel2IDCMP.ic"'
  'interconnection new name="xdtic"'
  'model new name="xdtmodel" ica_target="xdtmodel2IDCMP.ic"'
  'addmember master="xdtmodel" member="xdtic"'

/* group && frame */
  'group new name="xgrp"'
  'gadget name="xgrp" left="5" top="5" relwidth="-10" relheight="-50" window="xwin_view"'

  'frameiclass new name="xfri" ia_recessed="TRUE"'
  'addmember master="xgrp" member="xfri"'

/* Group visible ? */
  /* Maplist, mapping GA_Selected to GROUPA_Visible information */
  map.0.ti_tag  = "GA_Selected";
  map.0.ti_data = "GROUPA_Visible";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'interconnection new name="xbut_visible2xgrp.ic" ica_target="xgrp" ica_map="MAP"'
  drop map.

  /* Button which controls group's visible mode */
  'button new name="xbut_visible" fontname="topaz.font" fontsize="8" ga_toggleselect="TRUE" ica_target="xbut_visible2xgrp.ic"'
  'gadget name="xbut_visible" left=5 relbottom="-40" relwidth="-10" height="20" window="xwin_view"'

/* navigation window */
  'model new name="xwin_navigation.model"'
  'window new name="xwin_navigation" width=200 height=50 title="sw: dt navigation" sizegadget="TRUE" close ica_target="xwin_navigation.model"'
  'window name="xwin_navigation" min width=80 height=40'
  'window name="xwin_navigation" max width=1500 height=480'
  'model name="xwin_navigation.model" ica_target="xwin_navigation"'

  'propgadget new name="xprop" window="xwin_navigation" pga_freedom="FREEHORIZ|FREEVERT"'
  'gadget name="xprop" left="0" top="0" relwidth="0" relheight="0"'

/* Connection from model to navigation prop */
  map.0.ti_tag  = "DTA_TopVert";
  map.0.ti_data = "PROPA_TopVert";
  map.1.ti_tag  = "DTA_VisibleVert";
  map.1.ti_data = "PROPA_VisibleVert";
  map.2.ti_tag  = "DTA_TotalVert";
  map.2.ti_data = "PROPA_TotalVert";
  map.3.ti_tag  = "DTA_TopHoriz";
  map.3.ti_data = "PROPA_TopHoriz";
  map.4.ti_tag  = "DTA_VisibleHoriz";
  map.4.ti_data = "PROPA_VisibleHoriz";
  map.5.ti_tag  = "DTA_TotalHoriz";
  map.5.ti_data = "PROPA_TotalHoriz";
  map.6.ti_tag  = "TAG_DONE";
  map.6.ti_data = "TAG_DONE";

  'interconnection new name="xdtmodel2xprop.ic" ica_map="MAP" ica_target="xprop"'
  drop map.
  'addmember master="xdtmodel" member="xdtmodel2xprop.ic"'

/* Connection from navigation prop to datatypes object */
  map.0.ti_tag  = "PROPA_TopVert";
  map.0.ti_data = "DTA_TopVert";
  map.1.ti_tag  = "PROPA_TopHoriz";
  map.1.ti_data = "DTA_TopHoriz";
  map.2.ti_tag  = "TAG_DONE";
  map.2.ti_data = "TAG_DONE";

  'interconnection new name="xprop2xdtmodel.ic" ica_map="MAP" ica_target="xdtmodel"'
  drop map.
  'propgadget name="xprop" ica_target="xprop2xdtmodel.ic"'

/* info window */
  'model new name="xwin_info.model"'

  window.0.ti_tag   = "WA_Width";
  window.0.ti_data  = "640";
  window.1.ti_tag   = "WA_InnerHeight";
  window.1.ti_data  = "180";
  window.2.ti_tag   = "WA_MinWidth";
  window.2.ti_data  = "120";
  window.3.ti_tag   = "WA_MaxWidth";
  window.3.ti_data  = "1500";
  window.4.ti_tag   = "WA_SizeGadget";
  window.4.ti_data  = "TRUE";
  window.5.ti_tag   = "WA_Title";
  window.5.ti_data  = "Datatypes example: Info window";
  window.6.ti_tag   = "WA_ScreenTitle";
  window.6.ti_data  = "Info window";
  window.7.ti_tag   = "TAG_DONE";
  window.7.ti_data  = "TAG_DONE";

  'window new name="xwin_info" stem="WINDOW" close ica_target="xwin_info.model"'
  drop window.
  'model name="xwin_info.model" ica_target="xwin_info"'

  'model new name="xinfomodel"'

  getattrs.0.ti_tag   = "DTA_TopVert";
  getattrs.0.ti_data  = "0";
  getattrs.1.ti_tag   = "DTA_VisibleVert";
  getattrs.1.ti_data  = "0";
  getattrs.2.ti_tag   = "DTA_TotalVert";
  getattrs.2.ti_data  = "0";
  getattrs.3.ti_tag   = "DTA_VertUnit";
  getattrs.3.ti_data  = "0";
  getattrs.4.ti_tag   = "DTA_TopHoriz";
  getattrs.4.ti_data  = "0";
  getattrs.5.ti_tag   = "DTA_VisibleHoriz";
  getattrs.5.ti_data  = "0";
  getattrs.6.ti_tag   = "DTA_TotalHoriz";
  getattrs.6.ti_data  = "0";
  getattrs.7.ti_tag   = "DTA_HorizUnit";
  getattrs.7.ti_data  = "0";
  getattrs.8.ti_tag   = "DTA_ObjName";
  getattrs.8.ti_data  = "";
  getattrs.9.ti_tag   = "DTA_ObjAuthor";
  getattrs.9.ti_data  = "";
  getattrs.10.ti_tag  = "DTA_ObjAnnotation";
  getattrs.10.ti_data = "";
  getattrs.11.ti_tag  = "DTA_ObjCopyright";
  getattrs.11.ti_data = "";
  getattrs.12.ti_tag  = "DTA_ObjVersion";
  getattrs.12.ti_data = "";
  getattrs.13.ti_tag  = "TAG_DONE";
  getattrs.13.ti_data = "TAG_DONE";

  'getattrsconnection new name="xgetdtinfo" getattrsa_getattrtaglist="GETATTRS" ica_target="xinfomodel"'
  drop getattrs.

  map.0.ti_tag  = "STRINGA_LongVal";
  map.0.ti_data = "DTA_TopVert";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'interconnection new name="xstrg02xdtmodel.ic" ica_map="MAP" ica_target="xdtmodel"'
  drop map.

  map.0.ti_tag  = "DTA_TopVert";
  map.0.ti_data = "STRINGA_LongVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'stringgadget new name="xstrg0" stringa_longval="0" fontname="topaz.font" fontsize="8" ica_target="xstrg02xdtmodel.ic"'
  'interconnection new name="xinfomodel2xstrg0.ic" ica_map="MAP" ica_target="xstrg0"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg0.ic"'

  'interconnection new name="xdtmodel2xstrg0.ic" ica_map="MAP" ica_target="xstrg0"'
  'addmember master="xdtmodel" member="xdtmodel2xstrg0.ic"'
  drop map.

  map.0.ti_tag  = "DTA_VisibleVert";
  map.0.ti_data = "STRINGA_LongVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg1" stringa_longval="0"'
  'interconnection new name="xinfomodel2xstrg1.ic" ica_map="MAP" ica_target="xstrg1"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg1.ic"'
  drop map.

  map.0.ti_tag  = "DTA_TotalVert";
  map.0.ti_data = "STRINGA_LongVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg2" stringa_longval="0"'
  'interconnection new name="xinfomodel2xstrg2.ic" ica_map="MAP" ica_target="xstrg2"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg2.ic"'
  drop map.

  map.0.ti_tag  = "DTA_VertUnit";
  map.0.ti_data = "STRINGA_LongVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg3" stringa_longval="0"'
  'interconnection new name="xinfomodel2xstrg3.ic" ica_map="MAP" ica_target="xstrg3"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg3.ic"'
  drop map.

  map.0.ti_tag  = "DTA_ObjName";
  map.0.ti_data = "STRINGA_TextVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg4" stringa_textval="--"'
  'interconnection new name="xinfomodel2xstrg4.ic" ica_map="MAP" ica_target="xstrg4"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg4.ic"'
  drop map.

  map.0.ti_tag  = "DTA_ObjAuthor";
  map.0.ti_data = "STRINGA_TextVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg5" stringa_textval="--"'
  'interconnection new name="xinfomodel2xstrg5.ic" ica_map="MAP" ica_target="xstrg5"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg5.ic"'
  drop map.

  map.0.ti_tag  = "DTA_ObjAnnotation";
  map.0.ti_data = "STRINGA_TextVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg6" stringa_textval="--"'
  'interconnection new name="xinfomodel2xstrg6.ic" ica_map="MAP" ica_target="xstrg6"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg6.ic"'
  drop map.

  map.0.ti_tag  = "DTA_ObjCopyright";
  map.0.ti_data = "STRINGA_TextVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg7" stringa_textval="--"'
  'interconnection new name="xinfomodel2xstrg7.ic" ica_map="MAP" ica_target="xstrg7"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg7.ic"'
  drop map.

  map.0.ti_tag  = "DTA_ObjVersion";
  map.0.ti_data = "STRINGA_TextVal";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'textgadget new name="xstrg8" stringa_textval="--"'
  'interconnection new name="xinfomodel2xstrg8.ic" ica_map="MAP" ica_target="xstrg8"'
  'addmember master="xinfomodel" member="xinfomodel2xstrg8.ic"'
  drop map.

  'gadget name="xstrg0" left="2" top="2"   relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg1" left="2" top="20"  relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg2" left="2" top="38"  relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg3" left="2" top="56"  relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg4" left="2" top="74"  relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg5" left="2" top="92"  relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg6" left="2" top="110" relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg7" left="2" top="128" relwidth="-4" height="12" window="xwin_info"'
  'gadget name="xstrg8" left="2" top="146" relwidth="-4" height="12" window="xwin_info"'

  'button new name="xtriggerinfo.but" text="Get Info" fontname="topaz.font" fontsize="8" ica_target="xgetdtinfo"'
  'gadget name="xtriggerinfo.but" left="2" top="164" relwidth="-4" height="14" window="xwin_info"'

/* main control window */
  'process new name="xprocess" ica_target="project"'
  var = "new startup=swp:scripts/datatypeswindow"
  'setattr name="project" field="PARSEA_DEFAULTARGS" var="VAR"'

  map.0.ti_tag  = "WINDOWA_Visible";
  map.0.ti_data = "PROJECTA_SHOWGUI";
  map.1.ti_tag  = "STRINGA_TextVal";
  map.1.ti_data = "PROJECTA_PUBSCREENNAME";
  map.2.ti_tag  = "TAG_DONE";
  map.2.ti_data = "TAG_DONE";

  'interconnection new name="xwin_control2project.ic" ica_target="THISPROJECT" ica_map="MAP"'
  drop map.

  window.0.ti_tag   = "WA_Width";
  window.0.ti_data  = "640";
  window.1.ti_tag   = "WA_InnerHeight";
  window.1.ti_data  = "120";
  window.2.ti_tag   = "WA_MinWidth";
  window.2.ti_data  = "120";
  window.3.ti_tag   = "WA_MaxWidth";
  window.3.ti_data  = "1500";
  window.4.ti_tag   = "WA_SizeGadget";
  window.4.ti_data  = "TRUE";
  window.5.ti_tag   = "WA_RptQueue";
  window.5.ti_data  = "50";
  window.6.ti_tag   = "WA_Title";
  window.6.ti_data  = "Datatypes example";
  window.7.ti_tag   = "WA_ScreenTitle";
  window.7.ti_data  = "Control window";
  window.8.ti_tag   = "TAG_DONE";
  window.8.ti_data  = "TAG_DONE";

  'window new name="xwin_control" stem="WINDOW" close ica_target="xwin_control2project.ic"'
  drop window.

  'stringgadget new name="xstrg" string="Workbench" fontname="topaz.font" fontsize="8"'

  'button new name="xbut_xwin_view"       text="View..."         fontname="topaz.font" fontsize="8" ga_toggleselect="TRUE"'
  'button new name="xbut_xwin_navigation" text="Navigation..."   fontname="topaz.font" fontsize="8" ga_toggleselect="TRUE"'
  'button new name="xbut_xwin_info"       text="Info..."         fontname="topaz.font" fontsize="8" ga_toggleselect="TRUE"'
  'button new name="xbut_newproject"      text="New project..."  fontname="topaz.font" fontsize="8"'
  'button new name="xbut_closeproject"    text="Close project"   fontname="topaz.font" fontsize="8"'
  var = "1";
  'setattr name="xbut_closeproject" field="GA_ID" var="VAR"';

  map.w2b.0.ti_tag  = "WINDOWA_Visible";
  map.w2b.0.ti_data = "GA_Selected";
  map.w2b.1.ti_tag  = "TAG_DONE";
  map.w2b.1.ti_data = "TAG_DONE";

  map.b2w.0.ti_tag  = "GA_Selected";
  map.b2w.0.ti_data = "WINDOWA_Visible";
  map.b2w.1.ti_tag  = "TAG_DONE";
  map.b2w.1.ti_data = "TAG_DONE";

  map.cp.0.ti_tag  = "GA_ID";
  map.cp.0.ti_data = "PROJECTA_DONE";
  map.cp.1.ti_tag  = "TAG_DONE";
  map.cp.1.ti_data = "TAG_DONE";

  'interconnection new name="xwin_view_model2xbut_xwin_view.ic"             ica_target="xbut_xwin_view"        ica_map="MAP.W2B"'
  'interconnection new name="xwin_navigation_model2xbut_xwin_navigation.ic" ica_target="xbut_xwin_navigation"  ica_map="MAP.W2B"'
  'interconnection new name="xwin_info_model2xbut_xwin_info.ic"             ica_target="xbut_xwin_info"        ica_map="MAP.W2B"'

  'interconnection new name="xbut_xwin_view2xwin_view_model.ic"             ica_target="xwin_view.model"       ica_map="MAP.B2W"'
  'interconnection new name="xbut_xwin_navigation2xwin_navigation_model.ic" ica_target="xwin_navigation.model" ica_map="MAP.B2W"'
  'interconnection new name="xbut_xwin_info2xwin_info_model.ic"             ica_target="xwin_info.model"       ica_map="MAP.B2W"'

  'interconnection new name="xbut_closeproject2thisproject.ic"              ica_target="THISPROJECT"           ica_map="MAP.CP"'
  drop map.

  'addmember master="xwin_navigation.model" member="xwin_navigation_model2xbut_xwin_navigation.ic"'
  'addmember master="xwin_info.model"       member="xwin_info_model2xbut_xwin_info.ic"'
  'addmember master="xwin_view.model"       member="xwin_view_model2xbut_xwin_view.ic"'

  'gadget name="xbut_xwin_view"       left="2" top="2"  relwidth="-4" height="14"'
  'gadget name="xbut_xwin_navigation" left="2" top="20" relwidth="-4" height="14"'
  'gadget name="xbut_xwin_info"       left="2" top="38" relwidth="-4" height="14"'
  'gadget name="xstrg"                left="4" top="56" relwidth="-6" height="12"'
  'gadget name="xbut_newproject"      left="2" top="74" relwidth="-4" height="14"'
  'gadget name="xbut_closeproject"    left="2" top="92" relwidth="-4" height="14"'

  'button       name="xbut_xwin_view"       window="xwin_control" ica_target="xbut_xwin_view2xwin_view_model.ic"'
  'button       name="xbut_xwin_navigation" window="xwin_control" ica_target="xbut_xwin_navigation2xwin_navigation_model.ic"'
  'button       name="xbut_xwin_info"       window="xwin_control" ica_target="xbut_xwin_info2xwin_info_model.ic"'
  'stringgadget name="xstrg"                window="xwin_control" ica_target="ICTARGET_IDCMP"'
  'button       name="xbut_newproject"      window="xwin_control" ica_target="xprocess"'
  'button       name="xbut_closeproject"    window="xwin_control" ica_target="xbut_closeproject2thisproject.ic"'

  'model new name="xwindowmodel"'

  map.0.ti_tag  = "ROUTERA_BOOL";
  map.0.ti_data = "WINDOWA_Visible";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'router new name="xrouter" ica_map="MAP" routera_target_false="xwindowmodel" routera_target_true="xwin_control"'
  drop map.

  map.0.ti_tag  = "PROJECTA_PUBSCREENNAME";
  map.0.ti_data = "WA_PubScreenName";
  map.1.ti_tag  = "PROJECTA_SHOWGUI";
  map.1.ti_data = "ROUTERA_BOOL";
  map.2.ti_tag  = "TAG_DONE";
  map.2.ti_data = "TAG_DONE";

  'interconnection new name="project2xrouter.ic" ica_target="xrouter" ica_map="MAP"'
  drop map.

  var = "project2xrouter.ic";
  'setattr name="THISPROJECT" field="ICA_TARGET" var="VAR"'

  'addmember master="xwindowmodel" member="xwin_view.model"'
  'addmember master="xwindowmodel" member="xwin_navigation.model"'
  'addmember master="xwindowmodel" member="xwin_info.model"'
  'addmember master="xwindowmodel" member="xwin_control"'

/* menus */
  'menu new name="xmp"       label="Project"                 type="NM_TITLE"'
  'menu new name="xmp_open"  label="Open..."     commkey="O" type="NM_ITEM" menu="xmp" ica_target="xprocess"'
  'menu new name="xmpb1"     label="NM_BARLABEL"             type="NM_ITEM" menu="xmp"'
  'menu new name="xmp_hide"  label="Hide"        commkey="H" type="NM_ITEM" menu="xmp"'
  'menu new name="xmp_close" label="Close..."    commkey="C" type="NM_ITEM" menu="xmp" ica_target="close"'
  'menu new name="xmp_b2"    label="NM_BARLABEL"             type="NM_ITEM" menu="xmp"'
  'menu new name="xmp_quit"  label="Quit..."     commkey="Q" type="NM_ITEM" menu="xmp" ica_target="quit"'

  'menu new name="xmw"            label="Windows"            type="NM_TITLE" menu="xmp"'
  'menu new name="xmw_view"       label="View window"        type="NM_ITEM" CHECKIT="TRUE" menutoggle="TRUE" menu="xmw"'
  'menu new name="xmw_navigation" label="Navigation window"  type="NM_ITEM" CHECKIT="TRUE" menutoggle="TRUE" menu="xmw"'
  'menu new name="xmw_info"       label="Information window" type="NM_ITEM" CHECKIT="TRUE" menutoggle="TRUE" menu="xmw"'

  'window name="xwin_control" menu="xmp"'

/* menu communication */
  /* menu <--> window ic */
  map.0.ti_tag  = "MENUA_Checked";
  map.0.ti_data = "WINDOWA_Visible";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'interconnection new name="xmw_view2xwin_view_model.ic"             ica_map="MAP" ica_target="xwin_view.model"'
  'interconnection new name="xmw_navigation2xwin_navigation_model.ic" ica_map="MAP" ica_target="xwin_navigation.model"'
  'interconnection new name="xmw_info2xwin_info_model.ic"             ica_map="MAP" ica_target="xwin_info.model"'
  drop map.

  map.0.ti_tag  = "WINDOWA_Visible";
  map.0.ti_data = "MENUA_Checked";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'interconnection new name="xwin_view_model2xmw_view.ic"             ica_map="MAP" ica_target="xmw_view"'
  'interconnection new name="xwin_navigation_model2xmw_navigation.ic" ica_map="MAP" ica_target="xmw_navigation"'
  'interconnection new name="xwin_info_model2xmw_info.ic"             ica_map="MAP" ica_target="xmw_info"'
  drop map.

  'addmember master="xwin_view.model"       member="xwin_view_model2xmw_view.ic"'
  'addmember master="xwin_navigation.model" member="xwin_navigation_model2xmw_navigation.ic"'
  'addmember master="xwin_info.model"       member="xwin_info_model2xmw_info.ic"'
  'menu name="xmw_view"       ica_target="xmw_view2xwin_view_model.ic"'
  'menu name="xmw_navigation" ica_target="xmw_navigation2xwin_navigation_model.ic"'
  'menu name="xmw_info"       ica_target="xmw_info2xwin_info_model.ic"'

  /* menu <--> project */
  /* MENUA_ID menu id defaults to 0 */
  map.0.ti_tag  = "MENUA_ID";
  map.0.ti_data = "PROJECTA_SHOWGUI";
  map.1.ti_tag  = "TAG_DONE";
  map.1.ti_data = "TAG_DONE";

  'interconnection new name="xmp_hide2project.ic" ica_map="MAP" ica_target="THISPROJECT"'
  drop map.
  'menu name="xmp_hide" ica_target="xmp_hide2project.ic"'

/* select file... */
  'requestfile title="Select file..."'

  'datatypes new name="xdt" file=' || hy || result || hy || ' ica_target="xdtmodel"'

  'gadget name="xdt" left="2" top="2" relwidth="-4" relheight="-4" window="xgrp"'
  'interconnection name="xdtic" ica_target="xdt"'
  'getattrsconnection name="xgetdtinfo" getattrsa_sourceobject="xdt"'

  'window "xwin_control" open'

  'beepscreen'

