/* zoomgroup.sw */
options results;

'learn start datestamp'

/* Project's broker */
  'cxbroker new name="xbroker" cxbrokera_title="zoomgroup.sw 1.1" cxbrokera_descr="Zooming group"'


/* Create window with sizegadget and some size limits */
  'window new name="xwin" width=640 height=160 sizegadget="TRUE" close'
  'window name="xwin" min width=620 height=150'
  'window name="xwin" max width=2500 height=750'


/* Create group (with default dimensions) */
  'group new name="xgrp" left=20 top=20 width=580 height=80 zoommindomainwidth=700 zoommindomainheight=200'

  /* Group's alternate pos */
  'group name="xgrp" zoomed="TRUE"'
  'group name="xgrp" left=40 top=40 width=500 height=50'
  'group name="xgrp" zoomed="FALSE"'

  /* Create group's frame */
  'frameiclass new name="xfri"'
  'addmember master="xgrp" member="xfri"'

/* Create interconnection from button (see below) to group */
  /* Maplist, mapping GA_Selected to GROUPA_Zoomed information */
  mapstem.0.ti_tag  = "GA_Selected";
  mapstem.0.ti_data = "GROUPA_Zoomed";
  mapstem.1.ti_tag  = "TAG_DONE";
  mapstem.1.ti_data = "TAG_DONE";

  'interconnection new name="xbut_zoom2xgrp.ic" ica_target="xgrp" ica_map="MAPSTEM"'
  drop mapstem.

/* Button which controls group's zooming */
  'button new name="xbut_zoom" window="xwin" left=20 top=0 width=580 height=15 ga_toggleselect="TRUE" ica_target="xbut_zoom2xgrp.ic"'

/* Create button residing in group, using rel dimensions */
  'button new name="xbut_font"'
  'gadget name="xbut_font" left=5 top=5 relwidth="-10" relheight="-10"'
  'button name="xbut_font" window="xgrp"'

/* Font selection */
    mapstem.0.ti_tag  = "ASLFO_TextAttr";
    mapstem.0.ti_data = "BUTTONA_TextAttr";
    mapstem.1.ti_tag  = "TAG_DONE";
    mapstem.1.ti_data = "TAG_DONE";

    'requestfont new name="xfo" dostyle'
    'button name="xbut_font" text="Select font..." ica_target="xfo"'
    'interconnection name="xfo" ica_map="MAPSTEM" ica_target="xbut_font"'
    drop mapstem.

/* Group zooming condition control */
  'model new name="xgrp_zoom_cond.model"'

  /* Maplist, mapping GA_Selected to GA_Disabled information */
  mapstem.0.ti_tag  = "GA_Selected";
  mapstem.0.ti_data = "GA_Disabled";
  mapstem.1.ti_tag  = "TAG_DONE";
  mapstem.1.ti_data = "TAG_DONE";

  'interconnection new name="xgrp_zoom_cond.model2xbut_zoom.ic" ica_target="xbut_zoom" ica_map="MAPSTEM"'
  drop mapstem.
  'addmember master="xgrp_zoom_cond.model" member="xgrp_zoom_cond.model2xbut_zoom.ic"'

  /* Maplist, mapping GA_Selected to GROUPA_Zoomable information */
  mapstem.0.ti_tag  = "GA_Selected";
  mapstem.0.ti_data = "GROUPA_Zoomable";
  mapstem.1.ti_tag  = "TAG_DONE";
  mapstem.1.ti_data = "TAG_DONE";

  'interconnection new name="xgrp_zoom_cond.model2xgrp.ic" ica_target="xgrp" ica_map="MAPSTEM"'
  drop mapstem.
  'addmember master="xgrp_zoom_cond.model" member="xgrp_zoom_cond.model2xgrp.ic"'

  /* Button which controls group's zooming mode */
  'button new name="xbut_mode" window="xwin" left=20 top=120 width=580 height=15 ga_toggleselect="TRUE" ica_target="xgrp_zoom_cond.model"'

/* Group visible ? */
  /* Maplist, mapping GA_Selected to GROUPA_Visible information */
  mapstem.0.ti_tag  = "GA_Selected";
  mapstem.0.ti_data = "GROUPA_Visible";
  mapstem.1.ti_tag  = "TAG_DONE";
  mapstem.1.ti_data = "TAG_DONE";

  'interconnection new name="xbut_visible2xgrp.ic" ica_target="xgrp" ica_map="MAPSTEM"'
  drop mapstem.

  /* Button which controls group's zooming mode */
  'button new name="xbut_visible" window="xwin" left=20 top=140 width=580 height=15 ga_toggleselect="TRUE" ica_target="xbut_visible2xgrp.ic"'

/* Add group to window */
  'group name="xgrp" window="xwin"'

/* At last: Open window ... */
    'window name="xwin" open'

