/* mindtwindow3.sw */
/* datatypes object with minimum ICP, navigation window and menus */

options results;

'learn start datestamp'

'cxbroker new name="xbroker" cxbrokera_title="Datatypes object with minimum ICP"'

'window new name="xwin" width=640 height=100 sizegadget="TRUE" close'
'window name="xwin" min width=500 height=50'
'window name="xwin" max width=1500 height=280'

'interconnection new name="xdtmodel2IDCMP.ic" ica_target="ICTARGET_IDCMP"'
'addmember master="xwin" member="xdtmodel2IDCMP.ic"'

'model new name="xdtmodel" ica_target="xdtmodel2IDCMP.ic"'

/* navigation window */
  'window new name="xwin_navigation" width=200 height=50 title="sw: dt navigation" sizegadget="TRUE" close'
  'window name="xwin_navigation" min width=80 height=40'
  'window name="xwin_navigation" max width=1500 height=480'

  'propgadget new name="xprop" pga_freedom="FREEHORIZ|FREEVERT"'
  'gadget name="xprop" left="0" top="0" relwidth="0" relheight="0" window="xwin_navigation"'

/* Connection from dtmodel to navigation prop */
  mapstem.0.ti_tag  = "DTA_TopVert";
  mapstem.0.ti_data = "PROPA_TopVert";
  mapstem.1.ti_tag  = "DTA_VisibleVert";
  mapstem.1.ti_data = "PROPA_VisibleVert";
  mapstem.2.ti_tag  = "DTA_TotalVert";
  mapstem.2.ti_data = "PROPA_TotalVert";
  mapstem.3.ti_tag  = "DTA_TopHoriz";
  mapstem.3.ti_data = "PROPA_TopHoriz";
  mapstem.4.ti_tag  = "DTA_VisibleHoriz";
  mapstem.4.ti_data = "PROPA_VisibleHoriz";
  mapstem.5.ti_tag  = "DTA_TotalHoriz";
  mapstem.5.ti_data = "PROPA_TotalHoriz";
  mapstem.6.ti_tag  = "TAG_DONE";
  mapstem.6.ti_data = "TAG_DONE";

  'interconnection new name="xdtmodel2xprop.ic" ica_map="MAPSTEM" ica_target="xprop"'
  drop mapstem.
  'addmember master="xdtmodel" member="xdtmodel2xprop.ic"'

/* Connection from navigation prop to datatypes object */
  mapstem.0.ti_tag  = "PROPA_TopVert";
  mapstem.0.ti_data = "DTA_TopVert";
  mapstem.1.ti_tag  = "PROPA_TopHoriz";
  mapstem.1.ti_data = "DTA_TopHoriz";
  mapstem.2.ti_tag  = "TAG_DONE";
  mapstem.2.ti_data = "TAG_DONE";

  'interconnection new name="xprop2xdtmodel.ic" ica_map="MAPSTEM" ica_target="xdtmodel"'
  drop mapstem.
  'propgadget name="xprop" ica_target="xprop2xdtmodel.ic"'

/* datatypes object */
  'datatypes new name="xdt" file="s:startup-sequence"'
  'datatypes name="xdt" ica_target="xdtmodel"'

  'interconnection new name="xdtmodel2xdt.ic" ica_target="xdt"'
  'addmember master="xdtmodel" member="xdtmodel2xdt.ic"'

  'gadget name="xdt" left="1" top="1" relwidth="-2" relheight="-2" window="xwin"'

/* menus */
  'menu new name="xmp"  label="Project" type="NM_TITLE"'
  'menu new name="xmp1" label="Close..." commkey="C" type="NM_ITEM" menu="xmp" ica_target="close"'
  'menu new name="xmp2" label="Quit..."  commkey="Q" type="NM_ITEM" menu="xmp" ica_target="quit"'

  'menu new name="xmn"  label="Navigation" type="NM_TITLE" menu="xmp"'
  'menu new name="xmn1" label="Show Navigation window" type="NM_ITEM" CHECKIT="TRUE" menutoggle="TRUE" menu="xmn"'

  'window name="xwin" menu="xmp"'

/* menu <--> navigation window ics */
   mapstem.0.ti_tag  = "MENUA_Checked";
   mapstem.0.ti_data = "WINDOWA_Visible";
   mapstem.1.ti_tag  = "TAG_DONE";
   mapstem.1.ti_data = "TAG_DONE";

  'interconnection new name="xmn12xwin_navigation.ic" ica_map="MAPSTEM" ica_target="xwin_navigation"'
  drop mapstem.

   mapstem.0.ti_tag  = "WINDOWA_Visible";
   mapstem.0.ti_data = "MENUA_Checked";
   mapstem.1.ti_tag  = "TAG_DONE";
   mapstem.1.ti_data = "TAG_DONE";

  'interconnection new name="xwin_navigation2xmn1.ic" ica_map="MAPSTEM" ica_target="xmn1"'
  drop mapstem.

  'window name="xwin_navigation" ica_target="xwin_navigation2xmn1.ic"'
  'menu name="xmn1" ica_target="xmn12xwin_navigation.ic"'

/* open windows */
  'window name="xwin_navigation" open'
  'window name="xwin" open'

